Bug 62092 - weston should not abort if XDG_RUNTIME_DIR is not set
Summary: weston should not abort if XDG_RUNTIME_DIR is not set
Status: RESOLVED WONTFIX
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: 1.0.90
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 09:10 UTC by Emilio Pozuelo Monfort
Modified: 2013-03-13 14:13 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Pozuelo Monfort 2013-03-10 09:10:08 UTC
Currently weston aborts if XDG_RUNTIME_DIR is unset. However the XDG base dir spec says:

"If $XDG_RUNTIME_DIR is not set applications should fall back to a replacement directory with similar capabilities and print a warning message."[1]

This is specially problematic because of weston-launch resetting the environment (bug 61877).

[1] http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
Comment 1 Darxus 2013-03-11 18:45:33 UTC
Explanation for current behavior by pq here:  http://lists.freedesktop.org/archives/wayland-devel/2013-March/007902.html

Contents:

> But still, Emilio, the reason we on purpose fail on missing
> XDG_RUNTIME_DIR is that there is no suitable "replacement directory
> with similar capabilities" to be found in general.
>
> For example, falling back to anything under $HOME will fail for
> nfs-mounted home, I believe.
>
> The requirements for XDG_RUNTIME_DIR are actually quite difficult
> to fill without specific distribution support. Especially the following:
>
> "The directory MUST be on a local file system and not shared with
> any other system. The directory MUST by fully-featured by the
> standards of the operating system. More specifically, on Unix-like
> operating systems AF_UNIX sockets, symbolic links, hard links,
> proper permissions, file locking, sparse files, memory mapping,
> file change notifications, a reliable hard link count must be
> supported, and no restrictions on the file name character set
> should be imposed."
>
> - http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
>
> Therefore we want the user to explicitly shoot himself in the
> foot if they have to. We actually used to have a fallback for
> XDG_RUNTIME_DIR being unset, and it only caused confusion.
Comment 2 Darxus 2013-03-13 14:13:01 UTC
"Yup, not much to add here, that is the reason for how things work." - krh

Closing "wontfix".  Let us know if you have better, specific ideas.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.